using System;
using UnityEngine;

public class ExplorePointConfig {
	public float Radius { get; private set;}
	public float Angle { get; private set;}
	public BattleActivityConfig Battle { get; private set;}

	public ExplorePointConfig(float radius, float angle, BattleActivityConfig activity = null) {
		Radius = radius;
		Angle = angle;
		Battle = activity;
	}

	public Vector3 GetPosition(float angleShift = 0) {
		return Quaternion.Euler(0, 0, Angle + angleShift) * (Vector3.up * Radius);
	}
}
